# OpalBitRateCalculator::History Struct Reference

`#include <ratectl.h>`

## Public Member Functions

| History (PINDEX size_, PInt64 timeStamp_, bool marker_)

## Data Fields

PINDEX | m_size
PInt64 | m_timeStamp
bool | m_marker

## Constructor & Destructor Documentation

OpalBitRateCalculator::History::History | ( | PINDEX | size_,
|  | PInt64 | timeStamp_,
|  | bool | marker_ |
| ) |  |  | `[inline]`

## Field Documentation

bool OpalBitRateCalculator::History::m_marker

PINDEX OpalBitRateCalculator::History::m_size

PInt64 OpalBitRateCalculator::History::m_timeStamp

The documentation for this struct was generated from the following file:

- ratectl.h